

Cc: Martin Hicks <mort@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/entry.S  |    2 +-
 include/asm-i386/unistd.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/entry.S~vm-reclaim_page_cache_node-syscall-x86 arch/i386/kernel/entry.S
--- 25/arch/i386/kernel/entry.S~vm-reclaim_page_cache_node-syscall-x86	2005-04-29 18:54:31.914292288 -0700
+++ 25-akpm/arch/i386/kernel/entry.S	2005-04-29 18:54:31.919291528 -0700
@@ -909,7 +909,7 @@ ENTRY(sys_call_table)
 	.long sys_io_submit
 	.long sys_io_cancel
 	.long sys_fadvise64	/* 250 */
-	.long sys_ni_syscall
+	.long sys_reclaim_page_cache_node
 	.long sys_exit_group
 	.long sys_lookup_dcookie
 	.long sys_epoll_create
diff -puN include/asm-i386/unistd.h~vm-reclaim_page_cache_node-syscall-x86 include/asm-i386/unistd.h
--- 25/include/asm-i386/unistd.h~vm-reclaim_page_cache_node-syscall-x86	2005-04-29 18:54:31.915292136 -0700
+++ 25-akpm/include/asm-i386/unistd.h	2005-04-29 18:54:31.919291528 -0700
@@ -256,7 +256,7 @@
 #define __NR_io_submit		248
 #define __NR_io_cancel		249
 #define __NR_fadvise64		250
-
+#define __NR_reclaim_page_cache_node 251
 #define __NR_exit_group		252
 #define __NR_lookup_dcookie	253
 #define __NR_epoll_create	254
_
